services:
    app.breadcrumbs_services:
        class: App\AppCoreBundle\Services\BreadcrumbService
        arguments:
            - '@translator.default'
            - '@router'
    app.twig_extension.config:
        class: App\AppCoreBundle\Twig\AppConfigExtension
        arguments:
            - '@notimeo.core.config_container'
        public: false
        tags:
            - { name: twig.extension }
    app.twig_extension.search:
        class: App\AppCoreBundle\Twig\AppSearchExtension
        arguments:
            - '@twig'
            - '@form.factory'
        public: false
        tags:
            - { name: twig.extension }
    app.active_content_type:
        class: App\AppCoreBundle\Services\ActiveContentTypeService
        arguments:
            - '@request_stack'

    app.core.statistics:
        class: App\AppCoreBundle\Twig\AppStatsExtension
        tags:
            - { name: twig.extension }
        arguments:
            - '@doctrine.orm.entity_manager'

    app.google.sitemaps:
        class: App\AppCoreBundle\Services\GoogleSitemapService
        arguments:
            - '@doctrine.orm.entity_manager'
            - '@router'
            - '@twig'
            - '%kernel.root_dir%'